tt_default_file_set(library call)

NAME
tt_default_file_set — set the default file to a file

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_default_file_set(
const char *docid);

DESCRIPTION

The tt_default_file_set function sets the default file to the specified file.

The docid argument is a pointer to a character string that specifies the file that is to be the default file.

RETURN VALUE

Upon successful completion, the tt_default_file_set function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_PROCID
    The current default process identifier is out of date or invalid.

TT_ERR_FILE
    The specified file does not exist or it is inaccessible.

SEE ALSO

Tt/tt_c.h - Tttt_c(5).